import com.webobjects.foundation.*
import com.webobjects.appserver.*
import com.webobjects.eocontrol.*
import com.webobjects.eoaccess.*

class Main extends WOComponent {
    yourName; results; movie; qualifier

    Main(WOContext context) {
        super(context)
    }

    WOComponent helloForYou()
    {
        helloPage = pageWithName("HelloPage")
		helloPage.yourName = yourName
        return helloPage
    }

    String qualifier()
    {
        return qualifier
    }

    void setQualifier(String newQualifier)
    {
        qualifier = newQualifier
    }

    String yourName()
    {
        return yourName
    }

    void setYourname(String newYourname)
    {
        yourname = newYourname
    }

    WOComponent search()
    {
        qual = EOQualifier.qualifierWithQualifierFormat(qualifier, null)
        fs = new EOFetchSpecification("Movie", qual, null)
        results = session().defaultEditingContext().objectsWithFetchSpecification(fs)
        return null
    }

}